<?php

function xdirname($s)
{
	$r = dirname($s);
	if(basename($r) == "scripts")
	{
		$r = substr($r, 0, strlen($r)-strlen('/scripts'));
	}
	if($r=='/') return '';
	return $r;
}

include('config.inc');
error_reporting(E_ALL);
function einclude($path) { 
	include($GLOBALS['MYDIR'] . '/' . $path); 
}

$FILES = array( 'php/objects/events.inc' , 'php/objects/event.inc', 
		'php/pages.inc',
		);
foreach ($FILES as $file) { einclude($file); }

function event_path($event = '')
	{
		$pre = $GLOBALS['EVENT_PREFIX'];
		if(!$event && isset($GLOBALS['PAGE']['event']))
		{
			$event = $GLOBALS['PAGE']['event'];
		}
		if($event)
		{
			return $pre . $event->getName();
		}
		return '';
	}

function event_head() { einclude('php/head.inc'); }
function event_tail() { einclude('php/tail.inc'); }
function event_script() 
	{ 
		print "<p><a href='".event_path()."'>" . event_text("ReturnToEventP") ."</a></p>\n";
	}

function event_page($page) { 
	$template = 'default';
	event_template($template, 'HEAD', $page);
	event_template($template, 'PAGE', $page);
	event_template($template, 'FOOT', $page);
}

include("page_parsing.inc");

function event_template($template, $part, $page) { 
	include($GLOBALS['MYDIR'] . '/template/' . $template . '/' . $part. '.inc'); 
}

function _setLocale($lang)
{
	if($lang) 
	{
		$GLOBALS['RESOURCE_FILE'] = file($GLOBALS['RESOURCE_DIR'] .'/'. $lang);
		#locale_set_default($lang);
	}
}

function _chooseLanguage()
{
	$resources = scandir($GLOBALS['RESOURCE_DIR']);
	$accepts = explode(",", $_SERVER['HTTP_ACCEPT_LANGUAGE']);
	$langs = array();
	foreach($accepts as $lang)
	{
		$a = explode(";", $lang);
		if(count($a)<2) $a[1]=1;
		else $a[1] = substr($a[1], strpos($a[1], "=")+1);
		$langs[trim($a[0])] = $a[1];
	}
	$best_score = 0;
	$lang = NULL;
	foreach($resources  as $r)
	{
		if(!$r || substr($r, 0, 1)=='.') continue;
		$this_score = isset($langs[$r]) ? $langs[$r] : '';
		if($this_score > $best_score)
		{
			$best_score = $this_score;
			$lang = $r;
		}
	}
	_setLocale($lang);
} _chooseLanguage();

function _event_getResourceFile()
{
	if(!isset($GLOBALS['RESOURCE_FILE']))
	{
		_setLocale($GLOBALS['RESOURCE_DEFAULT']);
	}
	return $GLOBALS['RESOURCE_FILE'];
}

function event_text($key, $values=array())
{
	$resources = _event_getResourceFile();
	foreach($resources as $r)
	{
		list($k, $v) = explode('=', $r, 2);
		if($k == $key)
		{
			return $v;
		}
	}
}

?>
